
package eu.dnetlib.dhp.oa.model.graph;

import java.io.Serializable;

import com.github.imifou.jsonschema.module.addon.annotation.JsonSchema;

/**
 * To describe the funded amount. It has the following parameters: - private String currency to store the currency of
 * the fund - private float totalcost to store the total cost of the project - private float fundedamount to store the
 * funded amount by the funder
 */
public class Granted implements Serializable {
	@JsonSchema(description = "The currency of the granted amount (e.g. EUR)")
	private String currency;

	@JsonSchema(description = "The total cost of the project")
	private float totalcost;

	@JsonSchema(description = "The funded amount")
	private float fundedamount;

	public String getCurrency() {
		return currency;
	}

	public void setCurrency(String currency) {
		this.currency = currency;
	}

	public float getTotalcost() {
		return totalcost;
	}

	public void setTotalcost(float totalcost) {
		this.totalcost = totalcost;
	}

	public float getFundedamount() {
		return fundedamount;
	}

	public void setFundedamount(float fundedamount) {
		this.fundedamount = fundedamount;
	}

	public static Granted newInstance(String currency, float totalcost, float fundedamount) {
		Granted granted = new Granted();
		granted.currency = currency;
		granted.totalcost = totalcost;
		granted.fundedamount = fundedamount;
		return granted;
	}

	public static Granted newInstance(String currency, float fundedamount) {
		Granted granted = new Granted();
		granted.currency = currency;
		granted.fundedamount = fundedamount;
		return granted;
	}
}
